/*
 * gtktube: a gtk frontend for youtube like services
 * Copyright (C) 2009 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __GTK_UTILS_H
#define __GTK_UTILS_H

#include <gtk/gtk.h>

#if !GLIB_CHECK_VERSION(2,14,0)
#define g_timeout_add_seconds(I, F, D) g_timeout_add((I)*1000, (F), (D))
#endif


GdkPixbuf *gtk_utils_get_pixbuf_from_icon_name(const char *icon_name, int icon_size);

void gtk_popup_dialog_error(GtkWidget *parent, const gchar *string);

gboolean gtk_combo_null_text_to_separator(GtkTreeModel *model, GtkTreeIter *iter, gpointer user_data);

GdkPixbuf *gtk_utils_get_pixbuf_from_data(gconstpointer data, guint datalen, GError **gerror);

#endif

