/*
 * gtktube: a gtk frontend for youtube like services
 * Copyright (C) 2009 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __GTKTUBE_PLUGIN__H
#define __GTKTUBE_PLUGIN__H

enum gtktube_plugin_type {
   GTKTUBE_PLUGIN_SEARCH_ENGINE = 0,
   GTKTUBE_PLUGIN_TV,
};

struct gtktube_plugin
{
  char *name;
  char *description;
  char *author;
  char *version;

  int (*init)(void);
  void (*exit)(void);
};

#define GTKTUBE_PLUGIN_DEFINE(name, description, author, version, init, exit) \
	struct gtktube_plugin __gtktube_builtin_ ## name = { \
		#name, description, author, version, init, exit \
	};



gboolean gtktube_plugin_init(void);
void gtktube_plugin_exit(void);




#endif

