/*
 * gtktube: a gtk frontend for youtube like services
 * Copyright (C) 2009 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __VIDEO_THUMBNAIL_H
#define __VIDEO_THUMBNAIL_H

G_BEGIN_DECLS


#define VIDEO_THUMBNAIL_WIDTH 120
#define VIDEO_THUMBNAIL_HEIGHT 90



#define VIDEO_THUMBNAIL_TYPE             (video_thumbnail_get_type ())
#define VIDEO_THUMBNAIL(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), VIDEO_THUMBNAIL_TYPE, VideoThumbnail))
#define VIDEO_THUMBNAIL_CLASS(obj)       (G_TYPE_CHECK_CLASS_CAST ((obj), VIDEO_THUMBNAIL, VideoThumbnailClass))
#define VIDEO_THUMBNAIL_GET_CLASS        (G_TYPE_INSTANCE_GET_CLASS ((obj), VIDEO_THUMBNAIL_TYPE, VideoThumbnailClass))

typedef struct _video_thumbnail          VideoThumbnail;
typedef struct _video_thumbnail_class    VideoThumbnailClass;

struct _video_thumbnail
{
  GObject parent_instance;

  /* private */
  char *uri;
  int width;
  int height;

  int error;
  GdkPixbuf *pixbuf;
};

struct _video_thumbnail_class
{
  GObjectClass parent_class;

  /* private */
};


GType video_thumbnail_get_type(void) G_GNUC_CONST;

VideoThumbnail *video_thumbnail_new(const char *uri, int width, int height);

void video_thumbnail_load_with_session(VideoThumbnail *thumbnail, SoupSession *session);

G_END_DECLS

#endif



