/*
 * gtktube: a gtk frontend for youtube like services
 * Copyright (C) 2009 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __YOUTUBE_SUGGEST_H
#define __YOUTUBE_SUGGEST_H


G_BEGIN_DECLS

#define YOUTUBE_SUGGEST_TYPE             (youtube_suggest_get_type ())
#define YOUTUBE_SUGGEST(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), YOUTUBE_SUGGEST_TYPE, YoutubeSuggest))
#define YOUTUBE_SUGGEST_CLASS(obj)       (G_TYPE_CHECK_CLASS_CAST ((obj), YOUTUBE_SUGGEST, YoutubeSuggestClass))
#define YOUTUBE_SUGGEST_GET_CLASS        (G_TYPE_INSTANCE_GET_CLASS ((obj), YOUTUBE_SUGGEST_TYPE, YoutubeSuggestClass))

typedef struct _youtube_suggest          YoutubeSuggest;
typedef struct _youtube_suggest_class    YoutubeSuggestClass;

struct _youtube_suggest
{
  GObject parent_instance;

  /* private */

  /* network session */
  SoupSession *async_http_session;
  SoupMessage *msg;

  /* result */
  int http_return_code;
  GError *gerror;
  
  GList *autosuggest_list;
};

struct _youtube_suggest_class
{
  GObjectClass parent_class;

  /* private */
};


GType youtube_suggest_get_type(void) G_GNUC_CONST;

/*
 *
 * Public interface
 *
 */

YoutubeSuggest *youtube_suggest_new(void);

void youtube_suggest_search_with_keywords(YoutubeSuggest *search,
   					   const char      *keywords);

void youtube_suggest_set_http_session(YoutubeSuggest *search,
   				       SoupSession *http_session);

GList *youtube_suggest_get_results(YoutubeSuggest *search);




G_END_DECLS

#endif

