/*
 * gtktube: a gtk frontend for youtube like services
 * Copyright (C) 2009 Luc Saillard <luc@saillard.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __YOUTUBE_VIDEO_H
#define __YOUTUBE_VIDEO_H


#include "video.h"

G_BEGIN_DECLS

#define YOUTUBE_VIDEO_TYPE             (youtube_video_get_type ())
#define YOUTUBE_VIDEO(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), YOUTUBE_VIDEO_TYPE, YoutubeVideo))
#define YOUTUBE_VIDEO_CLASS(obj)       (G_TYPE_CHECK_CLASS_CAST ((obj), YOUTUBE_VIDEO, YoutubeVideoClass))
#define YOUTUBE_VIDEO_GET_CLASS        (G_TYPE_INSTANCE_GET_CLASS ((obj), YOUTUBE_VIDEO_TYPE, YoutubeVideoClass))

typedef struct _youtube_video          YoutubeVideo;
typedef struct _youtube_video_class    YoutubeVideoClass;

struct _youtube_video
{
  GObject parent_instance;

  /* private */


  SoupSession *http_session;

  int sizes[16];


  /* Youtube parameters */
  char *token;
  char *video_id;
  int   fmt_selected;
};

struct _youtube_video_class
{
  GObjectClass parent_class;

  /* private */
};


GType youtube_video_get_type(void) G_GNUC_CONST;


YoutubeVideo *youtube_video_new(void);

gboolean youtube_video_set_video_url(YoutubeVideo *video, const char *url);

char *youtube_video_get_stream_video_url(YoutubeVideo *video);

GList *youtube_get_video_sizes(YoutubeVideo *video);

void youtube_set_video_size(YoutubeVideo *video, int width, int height);

G_END_DECLS

#endif

